petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSectionAddFieldConstraintDof

Increment the number of constrained degrees of freedom associated with a given field on a point.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionAddFieldConstraintDof(PetscSection s, PetscInt point, PetscInt field, PetscInt numDof)

Not collective Many br

### Input Parameters

| s | - the PetscSection Many br
| point | - the point Many br
| field | - the field Many br
| numDof | - the number of additional dof which are fixed by constraints Many br

Many br

### See Also

PetscSectionAddDof(), PetscSectionGetFieldConstraintDof(), PetscSectionCreate()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages